package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ESignTemplateCollection extends AbstractObjectCollection 
{
    public ESignTemplateCollection()
    {
        super(ESignTemplateInfo.class);
    }
    public boolean add(ESignTemplateInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ESignTemplateCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ESignTemplateInfo item)
    {
        return removeObject(item);
    }
    public ESignTemplateInfo get(int index)
    {
        return(ESignTemplateInfo)getObject(index);
    }
    public ESignTemplateInfo get(Object key)
    {
        return(ESignTemplateInfo)getObject(key);
    }
    public void set(int index, ESignTemplateInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ESignTemplateInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ESignTemplateInfo item)
    {
        return super.indexOf(item);
    }
}